
package com.tmerclub.cloud.constant;

import com.tmerclub.cloud.common.leaf.constant.GlobalDistributedIdKey;

/**
 * 分布式id key
 *
 * @author tmerclub
 * @date 2021/4/9
 */
public interface DistributedIdKey {

    /**
     * 平台用户id
     */
    String tmerclub_PLATFORM_USER = "tmerclub-platform-user";

    /**
     * 商家用户id
     */
    String tmerclub_MULTISHOP_USER = "tmerclub-multishop-user";

    /**
     * 供应商用户id
     */
    String tmerclub_SUPPLIER_USER = "tmerclub-supplier-user";

    /**
     * 钱包日志id
     */
    String tmerclub_SHOP_WALLET_LOG = GlobalDistributedIdKey.tmerclub_SHOP_WALLET_LOG.value();

    /**
     * 系统权限
     */
    String tmerclub_AUTHORIZATION = "tmerclub-authorization";

    /**
     * 采购金额日志
     */
    String PURCHASE_AMOUNT_LOG = "tmerclub-purchase-amount-log";
}
