package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author TRACK
 */
@Data
public class ShopRechargeInfoDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "充值金额")
    private BigDecimal rechargeAmount;

    @Schema(description = "支付后，跳转的前台页面")
    private String returnUrl;


}
