package com.tmerclub.cloud.platform.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 对公户银行
 * @author gaozijie
 * @date 2023-03-21
 */
@Data
public class PublicBank extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 银行id
     */
    private Long bankId;
    /**
     * 银行名称
     */
    private String bankName;
    /**
     * 银行代码
     */
    private String bankCode;

}
