package com.tmerclub.cloud.platform.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author gaozijie
 * @date 2023-03-21
 */
@Data
public class PublicBankVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "银行id")
    private Long bankId;

    @Schema(description = "银行名")
    private String bankName;

    @Schema(description = "银行代码")
    private String bankCode;

}
