
package com.tmerclub.cloud.api.multishop.bo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/8/11 10:05
 */
@Data
public class ShopSimpleBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "shopId")
    private Long shopId;

    @Schema(description = "店铺id列表")
    private List<Long> shopIds;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "店铺状态")
    private Integer shopStatus;

    @Schema(description = "店铺类型")
    private Integer type;

    @Schema(description = "排序: 1.shopId 正序 2.shopId 倒序")
    private Integer seq;

}
