
package com.tmerclub.cloud.api.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/4/26 10:12
 */
@Data
public class ShopBankCardVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "主键id")
    private Long shopBankCardId;

    @Schema(description = "银行名称")
    private String bankName;

    @Schema(description = "账户名")
    private String recipientName;

    @Schema(description = "账号")
    private String cardNo;

    @Schema(description = "支行名称")
    private String branchName;

    @Schema(description = "银行开户行")
    private String openingBank;

    @Schema(description = "是否为默认")
    private Integer isDefault;

    @Schema(description = "是否已验证")
    private Integer isVerify;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "银行卡/账户属性 0个人银行卡 1企业对公账户")
    private Integer bankCardPro;

    @Schema(description = "支付行号")
    private String unionBank;

    @Schema(description = "卡号")
    private String bankCardNo;

}
