package com.tmerclub.cloud.api.auth.bo;

import lombok.Data;

import java.io.Serializable;

/**
 * 登录信息
 * @author LGH
 */
@Data
public class LoginInfoBO implements Serializable {

    private String bizUserId;

    /**
     * 第三方系统类型
     * @see com.yami.shop.security.common.enums.SocialType
     */
    private Integer socialType;


}
