
package com.tmerclub.cloud.api.auth.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 系统密钥DTO
 * @author TRACK
 */
@Data
public class SysAccessKeyDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "id")
    private Long sysAccessKeyId;

    @Schema(description = "名称")
    private String name;

    @Schema(description = "备注")
    private String remark;

    @Schema(description = "账号id")
    private String accessId;

    @Schema(description = "密钥")
    private String accessKey;


}
