
package com.tmerclub.cloud.api.order.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author tmerclub
 * @date 2020/12/25
 */
@Data
public class OrderAmountVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 实付金额
     */
    private Long actualTotal;

    /**
     * 定金金额
     */
    private Long depositAmount;

    /**
     * 支付积分
     */
    private Long payScore;
    /**
     * 收款的店铺id和金额
     */
    private List<ShopAmountVO> shopAmountList;


    @Override
    public String toString() {
        return "OrderAmountVO{" +
                "payAmount=" + payAmount +
                ", actualTotal=" + actualTotal +
                ", depositAmount=" + depositAmount +
                ", payScore=" + payScore +
                ", shopAmountList=" + shopAmountList +
                '}';
    }
}
