package com.tmerclub.cloud.api.payment.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author gaozijie
 * @date 2023-05-31
 */
@Data
public class BindPayAcctDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 通联userId
     */
    private String bizUserId;

    /**
     * 支付标识
     */
    private String acct;

    /**
     * 支付账户类型
     */
    private Integer socialType;

    @Override
    public String toString() {
        return "BindPayAcctDTO{" +
                "bizUserId='" + bizUserId + '\'' +
                ", acct='" + acct + '\'' +
                ", socialType=" + socialType +
                '}';
    }
}
