package com.tmerclub.cloud.api.seckill.dto;

import com.tmerclub.cloud.common.order.bo.RefundReductionStockBO;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;
/**
 * @author lanhai
 */
@Data
public class SecKillRefundDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 秒杀活动Id
     */
    private Long activityId;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 退款商品信息
     */
    private List<RefundReductionStockBO> refundReductionStocks;

    public SecKillRefundDTO() {
    }

    public SecKillRefundDTO(Long activityId, List<RefundReductionStockBO> refundReductionStocks,Long userId) {
        this.activityId = activityId;
        this.userId = userId;
        this.refundReductionStocks = refundReductionStocks;
    }
    @Override
    public String toString() {
        return "SecKillRefundDTO{" +
                "activityId=" + activityId +
                ", userId=" + userId +
                ", refundReductionStocks=" + refundReductionStocks +
                '}';
    }
}
