
package com.tmerclub.cloud.api.user.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 退款成功通知
 * @author tmerclub
 */
@Data
public class BalanceRefundBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long refundId;

    private Long changeBalance;

    private Long payId;

    private Long userId;
    /**
     * 退款序号
     */
    private Integer refundNumber;

    /**
     * 支付系统类型
     */
    private Integer paySysType;


    @Override
    public String toString() {
        return "BalanceRefundBO{" +
                "refundId=" + refundId +
                ", changeBalance=" + changeBalance +
                ", payId=" + payId +
                ", userId=" + userId +
                ", refundNumber=" + refundNumber +
                ", paySysType=" + paySysType +
                '}';
    }
}
