
package com.tmerclub.cloud.api.user.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * 购买vip
 * @author tmerclub
 */
@Data
public class BuyVipNotifyBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long userLevelLogId;

    private Integer payType;

    private Long payId;

    public BuyVipNotifyBO() {
    }

    public BuyVipNotifyBO(Long userLevelLogId, Integer payType, Long payId) {
        this.userLevelLogId = userLevelLogId;
        this.payType = payType;
        this.payId = payId;
    }

    @Override
    public String toString() {
        return "BuyVipNotifyBO{" +
                "userLevelLogId=" + userLevelLogId +
                ", payType=" + payType +
                ", payId=" + payId +
                '}';
    }
}
