
package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.common.order.vo.UserConsigneeVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * 用户地址feign连接
 * @author tmerclub
 * @date 2020/12/07
 */
public interface UserConsigneeFeignClient {


    /**
     * 根据地址id获取用户提货人信息
     * @return 用户地址信息
     */
    ServerResponseEntity<UserConsigneeVO> getUseConsignee();

}
