package com.tmerclub.cloud.api.user.feign;

import com.tmerclub.cloud.api.user.dto.UserExtensionDTO;

import java.util.List;

/**
 * @author gaozijie
 * @date 2023-05-23
 */
public interface UserExtensionFeignClient {

    /**
     * 更新用户拓展信息
     * @param userExtensionDTO 用户拓展信息
     */
    void updateExtension(UserExtensionDTO userExtensionDTO);

    /**
     * 批量更新用户拓展信息状态
     * @param userExtensionDTO 用户拓展信息dto
     * @param userIds 用户id集合
     */
    void updateBatchStatus(UserExtensionDTO userExtensionDTO, List<Long> userIds);
}
