
package com.tmerclub.cloud.api.user.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @author
 */
@Data
@ToString
public class MemberContributeRespVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "普通会员")
    private MemberContributeValueVO publicMember;

    @Schema(description = "付费会员")
    private MemberContributeValueVO paidMember;

    @Schema(description = "符合条件的普通会员userIds")
    private List<Long> userIds;

    @Schema(description = "符合条件的付费会员userIds")
    private List<Long> paidUserIds;


}
