
package com.tmerclub.cloud.rbac.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 菜单id和权限id列表
 *
 * @author tmerclub
 * @date 2020/9/18
 */
@Data
@ToString
public class MenuWithPermissionIdDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "菜单id")
    private Long menuId;

    @Schema(description = "菜单下的权限id列表")
    private List<Long> permissionIds;


}
