
package com.tmerclub.cloud.biz.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.ToString;

import java.io.Serial;
import java.io.Serializable;


/**
 * 消息提醒设置
 *
 * @author tmerclub
 * @date 2022-10-24 13:48:38
 */
@Data
@ToString
public class NotifyTemplateRemind extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 消息提醒设置
     */
    private Long notifyTemplateRemindId;

    /**
     * 消息模板id
     */
    private Long templateId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 是否开启提醒 1开启 0关闭
     */
    private Integer isRemind;

    /**
     * 系统类型（1.店铺 2.平台端 3.供应商）
     */
    private Integer sysType;
}
