
package com.tmerclub.cloud.common.order.feign;

import com.tmerclub.cloud.common.order.vo.ShopInfoInOrderVO;
import com.tmerclub.cloud.common.response.ServerResponseEntity;

/**
 * @author tmerclub
 * @date 2020/11/23
 */
public interface OrderShopDetailFeignClient {


    /**
     * 根据店铺id获取店铺在订单当中的信息
     *
     * @param shopId 店铺id
     * @return 店铺名称
     */
    ServerResponseEntity<ShopInfoInOrderVO> getShopInfoInOrderByShopId(Long shopId);

}
