
package com.tmerclub.cloud.flow.service;


import com.tmerclub.cloud.flow.dto.FlowAnalysisDTO;
import com.tmerclub.cloud.flow.vo.FlowUserAnalysisVO;
import com.tmerclub.cloud.flow.vo.UserAnalysisDataExcelVO;

import java.util.List;

/**
 * 流量分析—用户访问数据
 *
 * @author YXF
 * @date 2021-05-21 15:25:19
 */
public interface UserVisitAnalysisService {

    /**
     * 获取用户分析数据
     * @param flowAnalysisDTO
     * @return
     */
    FlowUserAnalysisVO getUserAnalysisData(FlowAnalysisDTO flowAnalysisDTO);

    /**
     * 获取导出的用户分析数据
     * @param flowAnalysisDTO
     * @return
     */
    List<UserAnalysisDataExcelVO> listUserAnalysisDataExcel(FlowAnalysisDTO flowAnalysisDTO);
}
