
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 商品装修模板表
 *
 * @author Orange
 * @date 2022-08-12 14:04:57
 */
@Data
public class ShopTemplate extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺模板表
     */
    private Long templateId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 名称
     */
    private String name;

    /**
     * 装修内容
     */
    private String content;

    /**
     * 图片
     */
    private String image;

    /**
     * 类型 1.pc 2.移动端
     */
    private Integer type;

    /**
     * 备注
     */
    private String remark;

}
