
package com.tmerclub.cloud.platform.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 下线处理事件记录项DTO
 *
 * @author YXF
 * @date 2021-01-15 17:46:26
 */
@Data
public class OfflineHandleEventItemDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long eventItemId;

    @Schema(description = "事件id")
    private Long eventId;

    @Schema(description = "重新申请上线理由")
    private String reapplyReason;

    @Schema(description = "拒绝原因")
    private String refuseReason;

    @Schema(description = "重新申请上线时间")
    private Date reapplyTime;

    @Schema(description = "审核时间")
    private Date auditTime;

}
