
package com.tmerclub.cloud.api.platform.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 系统配置信息表VO
 *
 * @author lhd
 * @date 2021-04-20 16:27:57
 */
@Data
public class SysConfigApiVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long id;

    @Schema(description = "key")
    private String paramKey;

    @Schema(description = "value")
    private String paramValue;

    @Schema(description = "备注")
    private String remark;


}
