
package com.tmerclub.cloud.api.platform.vo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author xxw
 * @version 1.0
 * @description:
 * @since 2024/1/5 16:30
 */
@Data
public class UriPermissionVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 请求方法 1.GET 2.POST 3.PUT 4.DELETE
     */
    private Integer method;

    /**
     * uri
     */
    private String uri;

    /**
     * permission
     */
    private String permission;

    /**
     * 用户拥有该权限
     */
    private Boolean hasPermission;


}
