
package com.tmerclub.cloud.api.combo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 用户勾选套餐信息
 * @author xxw
 * @date 2022/8/23 14:05
 */
@Data
public class ComboSkuVo implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "套餐id")
    private Long comboId;

    @Schema(description = "套餐名称")
    private String name;

    @Schema(description = "sku id")
    private Long skuId;

    @Schema(description = "sku 价格")
    private Long price;

    @Schema(description = "sku 套餐价格")
    private Long matchingPrice;

    @Schema(description = "起搭数量")
    private Integer leastNum;

}
