
package com.tmerclub.cloud.api.order.bo;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author cdt
 * @date 2021/05/08
 */
@Data
public class UserScoreLogOrderBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 订单号
     */
    private Long orderId;

    /**
     * 积分订单总价
     */
    private Long actualTotal;

    /**
     * 积分商品单价
     */
    private Long scoreFee;

    /**
     * 积分商品数量
     */
    private Integer allCount;


    @Override
    public String toString() {
        return "UserScoreLogOrderBO{" +
                "orderId=" + orderId +
                ", actualTotal=" + actualTotal +
                ", scoreFee=" + scoreFee +
                ", allCount=" + allCount +
                '}';
    }
}
