
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/7/15 14:52
 */
@Data
public class OrderRefundSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "退款单号")
    private Long refundId;


    @Override
    public String toString() {
        return "OrderRefundSimpleVO{" +
                "orderId=" + orderId +
                ", refundId=" + refundId +
                '}';
    }
}
