
package com.tmerclub.cloud.api.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 订单结算表查询支付用VO
 *
 * @author tmerclub
 */
@Data
public class OrderSettlementPayVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "支付结算单据ID")
    private Long settlementId;

    @Schema(description = "订单id")
    private Long orderId;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "支付单号")
    private String payIds;



    @Override
    public String toString() {
        return "OrderSettlementPayVO{" +
                "settlementId=" + settlementId +
                ", orderId=" + orderId +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                '}';
    }
}
