
package com.tmerclub.cloud.api.order.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/7/14 13:28
 */
@Data
public class OrderSettlementSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单id列表")
    private List<Long> orderIds;

    @Schema(description = "支付单号")
    private Long payId;

    @Schema(description = "支付单号集合，目前只有预售订单存在多条")
    private String payIds;


    @Override
    public String toString() {
        return "OrderSettlementSimpleVO{" +
                "orderIds=" + orderIds +
                ", payId=" + payId +
                ", payIds='" + payIds + '\'' +
                '}';
    }
}
