package com.tmerclub.cloud.api.payment.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author gaozijie
 * @date 2023-06-01
 */
@Data
public class AllinpayBalanceDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 总额
     */
    private Long allAmount;
    /**
     * 冻结额
     */
    private Long freezenAmount;

    @Override
    public String toString() {
        return "AllinpayBalanceDTO{" +
                "allAmount=" + allAmount +
                ", freezenAmount=" + freezenAmount +
                '}';
    }
}
