package com.tmerclub.cloud.api.product.dto;

import lombok.Data;

/**
 * @author gaozijie
 * @date 2023-09-22
 */
@Data
public class SupplierSpuUpdateDTO {

    /**
     * 更新价格
     */
    private boolean priceUpdate;

    /**
     * 更新sku数量
     */
    private boolean skuUpdate;

    /**
     * 更新重量
     */
    private boolean weightUpdate;

    /**
     * 更新体积
     */
    private boolean sizeUpdate;

    public SupplierSpuUpdateDTO() {
    }


    @Override
    public String toString() {
        return "SupplierSpuUpdateDTO{" +
                "priceUpdate=" + priceUpdate +
                ", skuUpdate=" + skuUpdate +
                ", weightUpdate=" + weightUpdate +
                ", sizeUpdate=" + sizeUpdate +
                '}';
    }
}
