
package com.tmerclub.cloud.common.bean;

import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;
import lombok.ToString;

/**
 * 快递鸟物流详情查询
 * @author SJL
 */
@Data
@ToString
public class Quick100 extends SwitchBaseModel {

    /**
     * 快递100中顺丰编码
     */
    @JsonIgnore
    public static final String SF_CODE = "shunfeng";
    /**
     * 快递100中丰网速运编码
     */
    @JsonIgnore
    public static final String FENGWANG_CODE = "fengwang";

    private String customer;
    private String key;
    private String secret;
    private String reqUrl;

    /**
     * 是否开启电子面单
     */
    private Boolean isPrint;
    /**
     * 电子面单请求接口
     */
    private String printReqUrl;
    /**
     * 电子面单沙箱模式
     */
    private Boolean mock;

    /**
     * C端下单接口
     *
     */
    private String cOrder;

}
