package com.tmerclub.cloud.cuerecycle.model.dto;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 创建订单瑕疵项业务对象
 *
 * @author: frank
 * @create: 2025-04-15
 **/
@Data
public class CreateOrderFlawDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 瑕疵ID
     */
    private Long flawId;
    /**
     * 瑕疵名称
     */
    private String flawName;
    /**
     * 是否瑕疵 0-否 1-是
     */
    private Integer isFlaw;
    /**
     * 影响价格
     */
    private Long flawPrice;
}
