
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 套餐订单表
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboOrder extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐订单id
     */
    private Long comboOrderId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * user_id
     */
    private String userId;

    /**
     * 套餐数量
     */
    private Integer comboNum;

    /**
     * 支付金额
     */
    private Double payPrice;

    /**
     * 订单编号
     */
    private String orderNumber;

    /**
     * 状态(0:待支付、1:支付成功)
     */
    private Integer status;

    public Long getComboOrderId() {
        return comboOrderId;
    }

    public void setComboOrderId(Long comboOrderId) {
        this.comboOrderId = comboOrderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public Integer getComboNum() {
        return comboNum;
    }

    public void setComboNum(Integer comboNum) {
        this.comboNum = comboNum;
    }

    public Double getPayPrice() {
        return payPrice;
    }

    public void setPayPrice(Double payPrice) {
        this.payPrice = payPrice;
    }

    public String getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(String orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "ComboOrder{" +
                "comboOrderId=" + comboOrderId +
                ",shopId=" + shopId +
                ",comboId=" + comboId +
                ",userId=" + userId +
                ",comboNum=" + comboNum +
                ",payPrice=" + payPrice +
                ",orderNumber=" + orderNumber +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",status=" + status +
                '}';
    }
}
