package com.tmerclub.cloud.live.constant;


/**
 * 常量
 * @author yami
 */
public class LiveConstant {

    /**
     * 主播连接记录key前缀
     */
    public static final String LIVE_ANCHOR_PREFIX = "LIVE_ANCHOR_";

    /**
     * 用户连接记录key前缀
     */
    public static final String LIVE_USER_PREFIX = "LIVE_USER_";

    /**
     * 心跳
     */
    public static final String HEART_BEAT = "HEART_BEAT";

    /**
     * 弹幕最大字符数
     */
    public static final int BULLET_SCREEN_MAX_LENGTH = 255;

    /**
     * 直播间默认的会话map容量
     */
    public static final int DEFAULT_MAP_SIZE = 256;
}
