
package com.tmerclub.cloud.user.service;


import com.tmerclub.cloud.api.auth.dto.ThirdApiAbutmentUserDto;

/**
 * @author xxw
 * @version 1.0
 * @description: 第三方接口对接
 * @since 2023/12/18 15:02
 */
public interface ThirdApiAbutmenService {

    /**
     * 注册用户
     * @param thirdApiAbutmentUserDto
     */
    void regiserUser(ThirdApiAbutmentUserDto thirdApiAbutmentUserDto);

    /**
     * 更新用户
     * @param thirdApiAbutmentUserDto
     */
    void updateUser(ThirdApiAbutmentUserDto thirdApiAbutmentUserDto);


    /**
     * 禁用用户
     * @param userId
     */
    void disableUser(Long userId);
}
